diff --git python-backports-lzma/python-backports-lzma.spec python-backports-lzma/python-backports-lzma.spec.tmp
index 263e33c8b2..2fedc14f09 100644
--- python-backports-lzma/python-backports-lzma.spec
+++ python-backports-lzma/python-backports-lzma.spec.tmp
@@ -7,7 +7,7 @@
 
 Name:           python-backports-lzma
 Version:        0.0.2
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        Backport of Python 3.3's lzma module
 
 License:        BSD
@@ -15,17 +15,25 @@ URL:            https://github.com/peterjc/backports.lzma
 Source0:        https://pypi.python.org/packages/source/b/%{module_name}/%{module_name}-%{version}.tar.gz
 Source1:        https://raw.github.com/peterjc/backports.lzma/backports.lzma.v0.0.2/LICENSE
 
-Requires:       python-backports
 BuildRequires:  python2-devel
 BuildRequires:  xz-devel
 BuildRequires:  python-nose
 BuildRequires:  python-test
 
-%description
-This is a backport of the "lzma" module included in Python 3.3 or later by
-Nadeem Vawda and Per Oyvind Karlsen, which provides a Python wrapper for XZ
-Utils (aka LZMA Utils v2) by Igor Pavlov.
+%global _description\
+This is a backport of the "lzma" module included in Python 3.3 or later by\
+Nadeem Vawda and Per Oyvind Karlsen, which provides a Python wrapper for XZ\
+Utils (aka LZMA Utils v2) by Igor Pavlov.\
+
+
+%description %_description
 
+%package -n python2-backports-lzma
+Summary: %summary
+Requires:       python-backports
+%{?python_provide:%python_provide python2-backports-lzma}
+
+%description -n python2-backports-lzma %_description
 
 %prep
 %setup -qn %{module_name}-%{version}
@@ -48,12 +56,16 @@ cp build/lib*/backports/lzma/_lzma.so backports/lzma/
 nosetests
 
  
-%files
+%files -n python2-backports-lzma
 %doc LICENSE
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.2-14
+- Python 2 subpackage renamed to python2-backports-lzma
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.2-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-backports/python-backports.spec python-backports/python-backports.spec.tmp
index f43d0850bb..b0e135f62c 100644
--- python-backports/python-backports.spec
+++ python-backports/python-backports.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-backports
 Version:        1.0
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Namespace for backported Python features
 
 # Only code is sourced from http://www.python.org/dev/peps/pep-0382/
@@ -12,17 +12,25 @@ Source0:        backports.py
 
 BuildRequires:  python2-devel
 
-%description
-The backports namespace is a namespace reserved for features backported from
-the Python standard library to older versions of Python 2.
+%global _description\
+The backports namespace is a namespace reserved for features backported from\
+the Python standard library to older versions of Python 2.\
+\
+Packages that exist in the backports namespace in Fedora should not provide\
+their own backports/__init__.py, but instead require this package.\
+\
+Backports to earlier versions of Python 3, if they exist, do not need this\
+package because of changes made in Python 3.3 in PEP 420\
+(http://www.python.org/dev/peps/pep-0420/).\
 
-Packages that exist in the backports namespace in Fedora should not provide
-their own backports/__init__.py, but instead require this package.
 
-Backports to earlier versions of Python 3, if they exist, do not need this
-package because of changes made in Python 3.3 in PEP 420
-(http://www.python.org/dev/peps/pep-0420/).
+%description %_description
 
+%package -n python2-backports
+Summary: %summary
+%{?python_provide:%python_provide python2-backports}
+
+%description -n python2-backports %_description
 
 %prep
 
@@ -39,7 +47,7 @@ install -pm 644 %{SOURCE0} %{buildroot}%{python_sitearch}/backports/__init__.py
 %endif
 
  
-%files
+%files -n python2-backports
 %{python_sitelib}/backports
 %if "%{python_sitelib}" != "%{python_sitearch}"
 %{python_sitearch}/backports
@@ -47,6 +55,10 @@ install -pm 644 %{SOURCE0} %{buildroot}%{python_sitearch}/backports/__init__.py
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0-11
+- Python 2 subpackage renamed to python2-backports
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-basemap/python-basemap.spec python-basemap/python-basemap.spec.tmp
index 071d3ac4e9..8dbc400a9c 100644
--- python-basemap/python-basemap.spec
+++ python-basemap/python-basemap.spec.tmp
@@ -8,7 +8,7 @@
 
 Name:           python-basemap
 Version:        1.0.7
-Release:        18%{?dist}
+Release:        19%{?dist}
 Summary:        Plots data on map projections (with continental and political boundaries) 
 Group:          Development/Libraries
 License:        LGPLv2+
@@ -24,12 +24,20 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  python-devel, proj-devel, shapelib-devel, numpy-f2py, geos-devel 
 BuildRequires:  python-httplib2
-Requires:       python-matplotlib >= 0.98, python-basemap-data
 
-%description
-Basemap is a matplotlib toolkit that allows you to plot data on map
+%global _description\
+Basemap is a matplotlib toolkit that allows you to plot data on map\
 projections (with continental and political boundaries).
 
+%description %_description
+
+%package -n python2-basemap-examples
+Summary: %summary
+Requires:       python-matplotlib >= 0.98, python-basemap-data
+%{?python_provide:%python_provide python2-basemap-examples}
+
+%description -n python2-basemap-examples %_description
+
 %package -n     python-basemap-examples
 Summary:        Example programs and data for python-basemap
 Group:          Development/Libraries
@@ -106,7 +114,7 @@ rm -rf $RPM_BUILD_ROOT%{_datadir}
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-basemap-examples
 %doc Changelog README
 %exclude %{python_sitearch}/mpl_toolkits/__init__.*
 %{python_sitearch}/mpl_toolkits/basemap
@@ -133,6 +141,10 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.7-19
+- Python 2 subpackage renamed to python2-basemap
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-batchhttp/python-batchhttp.spec python-batchhttp/python-batchhttp.spec.tmp
index c54e1839c3..4d695aacad 100644
--- python-batchhttp/python-batchhttp.spec
+++ python-batchhttp/python-batchhttp.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-batchhttp
 Version:        1.1.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Parallel fetching of HTTP resources through MIME multipart
 
 Group:          Development/Languages
@@ -13,18 +13,26 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildArch:      noarch
 BuildRequires:  python-devel python-setuptools
-Requires:       python-httplib2
-
-%description
-This package's BatchClient applies standard MIME multipart encoding to HTTP
-messages, providing a standards-conservant technique for making parallelizable
-HTTP requests over a single proxy connection.
 
-To make a batch request, open a new request on a BatchClient instance and add
-your subrequests, along with callbacks that will receive the subresponses.
-Once all parallelized requests are added, complete the request; the request is
+%global _description\
+This package's BatchClient applies standard MIME multipart encoding to HTTP\
+messages, providing a standards-conservant technique for making parallelizable\
+HTTP requests over a single proxy connection.\
+\
+To make a batch request, open a new request on a BatchClient instance and add\
+your subrequests, along with callbacks that will receive the subresponses.\
+Once all parallelized requests are added, complete the request; the request is\
 made and the batched subresponses are provided to your callbacks.
 
+%description %_description
+
+%package -n python2-batchhttp
+Summary: %summary
+Requires:       python-httplib2
+%{?python_provide:%python_provide python2-batchhttp}
+
+%description -n python2-batchhttp %_description
+
 %prep
 %setup -q -n batchhttp-%{version}
 
@@ -42,13 +50,17 @@ python setup.py install --skip-build --root $RPM_BUILD_ROOT
 rm -rf $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-batchhttp
 %defattr(-,root,root,-)
 %doc LICENSE
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.1-11
+- Python 2 subpackage renamed to python2-batchhttp
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-beanstalkc/python-beanstalkc.spec python-beanstalkc/python-beanstalkc.spec.tmp
index 6988e21a86..cd5b99b324 100644
--- python-beanstalkc/python-beanstalkc.spec
+++ python-beanstalkc/python-beanstalkc.spec.tmp
@@ -3,7 +3,7 @@
 
 name:          python-%{upstream_name}
 Version:       %{upstream_version}
-Release:       5%{?dist}
+Release:       6%{?dist}
 Summary:       A simple beanstalkd client library for Python
 License:       ASL 2.0
 URL:           https://github.com/earl/beanstalkc
@@ -13,10 +13,18 @@ BuildRequires: python2-devel
 BuildRequires: python-setuptools
 BuildArch:     noarch
 
-%description
-beanstalkc is a simple beanstalkd client library for Python. beanstalkd is a
+%global _description\
+beanstalkc is a simple beanstalkd client library for Python. beanstalkd is a\
 fast, distributed, in-memory workqueue service.
 
+%description %_description
+
+%package -n python2-%{upstream_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{upstream_name}}
+
+%description -n python2-%{upstream_name} %_description
+
 %prep
 %setup -qn %{upstream_name}-%{upstream_version}
 rm -rf %{upstream_name}.egg-info
@@ -28,10 +36,14 @@ sed -i -e '/^#!\//, 1d' beanstalkc.py
 %install
 %{__python2} setup.py install --skip-build --root %{buildroot}
 
-%files
+%files -n python2-%{upstream_name}
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.0-6
+- Python 2 subpackage renamed to python2-beanstalkc
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-beautifulsoup4/python-beautifulsoup4.spec python-beautifulsoup4/python-beautifulsoup4.spec.tmp
index f64d494cec..1ab0d04ccf 100644
--- python-beautifulsoup4/python-beautifulsoup4.spec
+++ python-beautifulsoup4/python-beautifulsoup4.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-beautifulsoup4
 Version:        4.6.0
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
 Group:          Development/Languages
 License:        MIT
@@ -17,26 +17,34 @@ BuildRequires:  python-devel >= 2.7
 BuildRequires:  python-html5lib
 BuildRequires:  python-setuptools
 BuildRequires:  python-lxml
-Requires:       python-lxml
-
-%description
-Beautiful Soup is a Python HTML/XML parser designed for quick
-turnaround projects like screen-scraping. Three features make it
-powerful:
 
-Beautiful Soup won't choke if you give it bad markup.
-
-Beautiful Soup provides a few simple methods and Pythonic idioms for
-navigating, searching, and modifying a parse tree.
+%global _description\
+Beautiful Soup is a Python HTML/XML parser designed for quick\
+turnaround projects like screen-scraping. Three features make it\
+powerful:\
+\
+Beautiful Soup won't choke if you give it bad markup.\
+\
+Beautiful Soup provides a few simple methods and Pythonic idioms for\
+navigating, searching, and modifying a parse tree.\
+\
+Beautiful Soup automatically converts incoming documents to Unicode\
+and outgoing documents to UTF-8.\
+\
+Beautiful Soup parses anything you give it.\
+\
+Valuable data that was once locked up in poorly-designed websites is\
+now within your reach. Projects that would have taken hours take only\
+minutes with Beautiful Soup.
 
-Beautiful Soup automatically converts incoming documents to Unicode
-and outgoing documents to UTF-8.
+%description %_description
 
-Beautiful Soup parses anything you give it.
+%package -n python2-beautifulsoup4
+Summary: %summary
+Requires:       python-lxml
+%{?python_provide:%python_provide python2-beautifulsoup4}
 
-Valuable data that was once locked up in poorly-designed websites is
-now within your reach. Projects that would have taken hours take only
-minutes with Beautiful Soup.
+%description -n python2-beautifulsoup4 %_description
 
 %if 0%{?with_python3}
 %package -n     python3-beautifulsoup4
@@ -109,7 +117,7 @@ pushd %{py3dir}
 %{__python3} -m unittest discover -s bs4
 %endif
 
-%files
+%files -n python2-beautifulsoup4
 %license COPYING.txt
 %doc AUTHORS.txt NEWS.txt README.txt TODO.txt
 %{python_sitelib}/beautifulsoup4-%{version}*.egg-info
@@ -124,6 +132,10 @@ pushd %{py3dir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.6.0-3
+- Python 2 subpackage renamed to python2-beautifulsoup4
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.0-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-BeautifulSoup/python-BeautifulSoup.spec python-BeautifulSoup/python-BeautifulSoup.spec.tmp
index e1b2b6dda6..1f35a88ab8 100644
--- python-BeautifulSoup/python-BeautifulSoup.spec
+++ python-BeautifulSoup/python-BeautifulSoup.spec.tmp
@@ -3,34 +3,41 @@
 Name:           python-BeautifulSoup
 Epoch:          1
 Version:        3.2.1
-Release:        13%{?dist}
+Release:        14%{?dist}
 Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
 Group:          Development/Languages
 License:        BSD
 URL:            http://www.crummy.com/software/BeautifulSoup/
 Source0:        http://www.crummy.com/software/BeautifulSoup/download/3.x/BeautifulSoup-%{version}.tar.gz
-Provides:       python-beautifulsoup = %{epoch}:%{version}-%{release}
 BuildRequires:  python-devel
 BuildArch:      noarch
 
-%description
-Beautiful Soup is a Python HTML/XML parser designed for quick
-turnaround projects like screen-scraping. Three features make it
-powerful:
-
-Beautiful Soup won't choke if you give it bad markup.
+%global _description\
+Beautiful Soup is a Python HTML/XML parser designed for quick\
+turnaround projects like screen-scraping. Three features make it\
+powerful:\
+\
+Beautiful Soup won't choke if you give it bad markup.\
+\
+Beautiful Soup provides a few simple methods and Pythonic idioms for\
+navigating, searching, and modifying a parse tree.\
+\
+Beautiful Soup automatically converts incoming documents to Unicode\
+and outgoing documents to UTF-8.\
+\
+Beautiful Soup parses anything you give it.\
+\
+Valuable data that was once locked up in poorly-designed websites is\
+now within your reach. Projects that would have taken hours take only\
+minutes with Beautiful Soup.
 
-Beautiful Soup provides a few simple methods and Pythonic idioms for
-navigating, searching, and modifying a parse tree.
+%description %_description
 
-Beautiful Soup automatically converts incoming documents to Unicode
-and outgoing documents to UTF-8.
+%package -n python2-beautifulsoup
+Summary: %summary
+%{?python_provide:%python_provide python2-beautifulsoup}
 
-Beautiful Soup parses anything you give it.
-
-Valuable data that was once locked up in poorly-designed websites is
-now within your reach. Projects that would have taken hours take only
-minutes with Beautiful Soup.
+%description -n python2-beautifulsoup %_description
 
 %prep
 %setup -q -n %{oname}-%{version}
@@ -48,7 +55,7 @@ rm -rf %{buildroot}%{_bindir}
 %check
 %{__python2} BeautifulSoupTests.py
 
-%files
+%files -n python2-beautifulsoup
 %doc COPYING
 %{python_sitelib}/%{oname}.py*
 %exclude %{python_sitelib}/%{oname}Tests.py*
@@ -57,6 +64,10 @@ rm -rf %{buildroot}%{_bindir}
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:3.2.1-14
+- Python 2 subpackage renamed to python2-beautifulsoup
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:3.2.1-13
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-bibtex/python-bibtex.spec python-bibtex/python-bibtex.spec.tmp
index a3001ccba7..63b468e558 100644
--- python-bibtex/python-bibtex.spec
+++ python-bibtex/python-bibtex.spec.tmp
@@ -1,7 +1,7 @@
 Summary: Python extension to parse BibTeX files
 Name: python-bibtex
 Version: 1.2.7
-Release: 8%{?dist}
+Release: 9%{?dist}
 License: GPLv2+
 Group: Development/Libraries
 Source: http://downloads.sourceforge.net/pybliographer/python-bibtex-1.2.7.tar.gz
@@ -11,12 +11,19 @@ BuildRequires: python2-devel
 BuildRequires: glib2-devel
 BuildRequires: recode-devel
 
+%global _description\
+This module contains two extensions needed for pybliographer:\
+- a bibtex parser\
+- a simple binding to GNU Recode
+
+%description %_description
+
+%package -n python2-bibtex
+Summary: %summary
 Requires: recode
+%{?python_provide:%python_provide python2-bibtex}
 
-%description
-This module contains two extensions needed for pybliographer:
-- a bibtex parser
-- a simple binding to GNU Recode
+%description -n python2-bibtex %_description
 
 %prep
 %setup -q
@@ -28,12 +35,16 @@ CFLAGS="$RPM_OPT_FLAGS" %{__python2} setup.py build
 %{__python2} setup.py install --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-bibtex
 %doc ChangeLog NEWS README
 %{python_sitearch}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.7-9
+- Python 2 subpackage renamed to python2-bibtex
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.7-8
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-bintrees/python-bintrees.spec python-bintrees/python-bintrees.spec.tmp
index 4d94123765..3b3803bdff 100644
--- python-bintrees/python-bintrees.spec
+++ python-bintrees/python-bintrees.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-%{pypi_name}
 Version:        2.0.1
-Release:        10%{?dist}
+Release:        11%{?dist}
 Summary:        Package provides Binary-, RedBlack- and AVL-Trees in Python and Cython
 
 License:        MIT
@@ -20,13 +20,21 @@ BuildRequires:  python3-Cython
 %endif # if with_python3
 
 
-%description
-This Python package provides Binary- RedBlack- and AVL-Trees written 
-in Python and Cython/C. This Classes are much slower than the built-in 
-*dict* class, but all iterators/generators yielding data in sorted 
-key order. Trees can be uses as drop in replacement for *dicts* in 
+%global _description\
+This Python package provides Binary- RedBlack- and AVL-Trees written\
+in Python and Cython/C. This Classes are much slower than the built-in\
+*dict* class, but all iterators/generators yielding data in sorted\
+key order. Trees can be uses as drop in replacement for *dicts* in\
 most cases.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %if 0%{?with_python3}
 %package -n     python3-%{pypi_name}
 Summary:        Package provides Binary-, RedBlack- and AVL-Trees in Python and Cython
@@ -90,7 +98,7 @@ done
 popd
 %endif # with_python3
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst LICENSE.txt
 %{python2_sitearch}/%{pypi_name}
 %{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
@@ -103,6 +111,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.1-11
+- Python 2 subpackage renamed to python2-bintrees
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-blinker/python-blinker.spec python-blinker/python-blinker.spec.tmp
index 471e965942..ef1cb9321c 100644
--- python-blinker/python-blinker.spec
+++ python-blinker/python-blinker.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-blinker
 Version:        1.3
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        Fast, simple object-to-object and broadcast signaling
 
 Group:          Development/Libraries
@@ -19,10 +19,18 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif
 
-%description
-Blinker provides a fast dispatching system that allows any number 
+%global _description\
+Blinker provides a fast dispatching system that allows any number\
 of interested parties to subscribe to events, or "signals".
 
+%description %_description
+
+%package -n python2-blinker
+Summary: %summary
+%{?python_provide:%python_provide python2-blinker}
+
+%description -n python2-blinker %_description
+
 %if 0%{?with_python3}
 %package -n python3-blinker
 Summary:        Fast, simple object-to-object and broadcast signaling
@@ -61,7 +69,7 @@ popd
 %{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-blinker
 %doc docs/ CHANGES LICENSE README PKG-INFO
 %{python_sitelib}/*.egg-info
 %{python_sitelib}/%{mod_name}
@@ -75,6 +83,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3-12
+- Python 2 subpackage renamed to python2-blinker
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-blist/python-blist.spec python-blist/python-blist.spec.tmp
index e56763eb38..a3ea50cd32 100644
--- python-blist/python-blist.spec
+++ python-blist/python-blist.spec.tmp
@@ -11,7 +11,7 @@
 
 Name:           python-%{srcname}
 Version:        1.3.6
-Release:        11%{?dist}
+Release:        12%{?dist}
 Summary:        A faster list implementation for Python
 
 Group:          Development/Languages
@@ -29,20 +29,28 @@ BuildRequires:  python3-devel
 BuildRequires:  python3-setuptools
 %endif # if with_python3
 
-%description
-The blist is a drop-in replacement for the Python list that provides
-better performance when modifying large lists. The blist package also
-provides sortedlist, sortedset, weaksortedlist, weaksortedset,
-sorteddict, and btuple types.
+%global _description\
+The blist is a drop-in replacement for the Python list that provides\
+better performance when modifying large lists. The blist package also\
+provides sortedlist, sortedset, weaksortedlist, weaksortedset,\
+sorteddict, and btuple types.\
+\
+Python's built-in list is a dynamically-sized array; to insert or\
+remove an item from the beginning or middle of the list, it has to\
+move most of the list in memory, i.e., O(n) operations. The blist uses\
+a flexible, hybrid array/tree structure and only needs to move a small\
+portion of items in memory, specifically using O(log n) operations.\
+\
+For small lists, the blist and the built-in list have virtually\
+identical performance.
 
-Python's built-in list is a dynamically-sized array; to insert or
-remove an item from the beginning or middle of the list, it has to
-move most of the list in memory, i.e., O(n) operations. The blist uses
-a flexible, hybrid array/tree structure and only needs to move a small
-portion of items in memory, specifically using O(log n) operations.
+%description %_description
 
-For small lists, the blist and the built-in list have virtually
-identical performance.
+%package -n python2-%{srcname}
+Summary: %summary
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %if 0%{?with_python3}
 %package -n python3-%{srcname}
@@ -121,7 +129,7 @@ popd
 %endif # with_python3
 
 
-%files
+%files -n python2-%{srcname}
 %defattr(-,root,root,-)
 %doc LICENSE README.rst
 %{python2_sitearch}/*
@@ -134,6 +142,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.6-12
+- Python 2 subpackage renamed to python2-blist
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.6-11
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-blivet1/python-blivet1.spec python-blivet1/python-blivet1.spec.tmp
index d7f1c55242..886a364166 100644
--- python-blivet1/python-blivet1.spec
+++ python-blivet1/python-blivet1.spec.tmp
@@ -2,7 +2,7 @@ Summary:  A python module for system storage configuration
 Name: python-blivet1
 Url: http://fedoraproject.org/wiki/blivet
 Version: 1.20.3
-Release: 3%{?dist}
+Release: 4%{?dist}
 Epoch: 1
 License: LGPLv2+
 Group: System Environment/Libraries
@@ -31,30 +31,37 @@ BuildArch: noarch
 BuildRequires: gettext
 BuildRequires: python2-devel python2-setuptools
 
-Requires: python
-Requires: python-six
-Requires: python-kickstart >= %{pykickstartver}
-Requires: util-linux >= %{utillinuxver}
-Requires: python-pyudev
-Requires: parted >= %{partedver}
-Requires: pyparted >= %{pypartedver}
-Requires: dosfstools
-Requires: e2fsprogs >= %{e2fsver}
-Requires: lsof
+%global _description\
+The python-blivet package is a python module for examining and modifying\
+storage configuration.\
+\
+# These patches apply mostly non-code changes related to packaging and\
+# it is not worth the effort to make sure they apply with fuzz=0.\
+%global _default_patch_fuzz 2
+
+%description %_description
+
+%package -n python2-blivet1
+Summary: %summary
+Requires: python-gobject-base
+Requires: python-hawkey
 Requires: libselinux-python
-Requires: python2-blockdev >= %{libblockdevver}
 Requires: libblockdev-plugins-all >= %{libblockdevver}
+Requires: python2-blockdev >= %{libblockdevver}
 Requires: libselinux-python
-Requires: python-hawkey
-Requires: python-gobject-base
-
-%description
-The python-blivet package is a python module for examining and modifying
-storage configuration.
+Requires: lsof
+Requires: e2fsprogs >= %{e2fsver}
+Requires: dosfstools
+Requires: pyparted >= %{pypartedver}
+Requires: parted >= %{partedver}
+Requires: python-pyudev
+Requires: util-linux >= %{utillinuxver}
+Requires: python-kickstart >= %{pykickstartver}
+Requires: python-six
+Requires: python
+%{?python_provide:%python_provide python2-blivet1}
 
-# These patches apply mostly non-code changes related to packaging and
-# it is not worth the effort to make sure they apply with fuzz=0.
-%global _default_patch_fuzz 2
+%description -n python2-blivet1 %_description
 
 %prep
 %setup -q -n %{realname}-%{version}
@@ -74,12 +81,16 @@ make %{?_smp_mflags}
 make %{?_smp_mflags} PYTHON=%{__python2} DESTDIR=%{buildroot} install
 %find_lang %{compatname}
 
-%files -f %{compatname}.lang
+%files -n python2-blivet1 -f %{compatname}.lang
 %license COPYING
 %doc README ChangeLog examples
 %{python2_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1:1.20.3-4
+- Python 2 subpackage renamed to python2-blivet1
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.20.3-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-blockdiag/python-blockdiag.spec python-blockdiag/python-blockdiag.spec.tmp
index f9c818e949..76a74b45a6 100644
--- python-blockdiag/python-blockdiag.spec
+++ python-blockdiag/python-blockdiag.spec.tmp
@@ -5,7 +5,7 @@
 
 Name:           python-%{srcname}
 Version:        1.5.3
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Generate block-diagram images from text
 
 License:        ASL 2.0
@@ -40,16 +40,23 @@ BuildRequires:  python3-webcolors
 # upstream uses ipagp.ttf as its default font
 BuildRequires:  ipa-pgothic-fonts
 
-Requires:       ipa-pgothic-fonts
-Requires:       python-funcparserlib
-Requires:       python-pillow
-Requires:       python-setuptools
-Requires:       python-webcolors
 
+%global _description\
+%(cat %{SOURCE1})\
 
-%description
-%(cat %{SOURCE1})
 
+%description %_description
+
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       python-webcolors
+Requires:       python-setuptools
+Requires:       python-pillow
+Requires:       python-funcparserlib
+Requires:       ipa-pgothic-fonts
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %package -n python3-%{srcname}
 Summary:        %{summary}
@@ -123,7 +130,7 @@ pushd %{py3dir}
 popd
 
 
-%files
+%files -n python2-%{srcname}
 %license LICENSE
 %{_bindir}/%{srcname}
 %{_mandir}/man1/%{srcname}.1*
@@ -147,6 +154,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.3-8
+- Python 2 subpackage renamed to python2-blockdiag
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-bucky/python-bucky.spec python-bucky/python-bucky.spec.tmp
index 9d1ad4c90a..8a3044ac46 100644
--- python-bucky/python-bucky.spec
+++ python-bucky/python-bucky.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-bucky
 Version:        2.2.2
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        CollectD and StatsD adapter for Graphite
 
 Group:          System Environment/Daemons
@@ -17,12 +17,19 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-devel, python-setuptools
 
+%global _description\
+Bucky is a small server for collecting and translating metrics for\
+Graphite. It can current collect metric data from CollectD daemons\
+and from StatsD clients.
+
+%description %_description
+
+%package -n python2-bucky
+Summary: %summary
 Requires:       collectd, python-setuptools, python-watchdog, python-setproctitle
+%{?python_provide:%python_provide python2-bucky}
 
-%description
-Bucky is a small server for collecting and translating metrics for
-Graphite. It can current collect metric data from CollectD daemons
-and from StatsD clients.
+%description -n python2-bucky %_description
 
 %prep
 %setup -q -n bucky-%{version}
@@ -56,7 +63,7 @@ if [ $1 = 0 ]; then
 fi
 
  
-%files
+%files -n python2-bucky
 %doc THANKS README.rst LICENSE python-bucky-supervisord-example.conf
 %{_bindir}/bucky
 %attr(-,bucky,bucky) %{_localstatedir}/log/bucky
@@ -66,6 +73,10 @@ fi
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.2.2-8
+- Python 2 subpackage renamed to python2-bucky
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
